import type { PersistStorage } from './storages';
export interface CustomRune<T> {
    value: T;
}
export interface PersistRune<T> extends CustomRune<T> {
    cleanup: () => void;
    reset: () => void;
}
export declare function persist<T>(storage: PersistStorage<T>, root?: boolean): PersistRune<T>;
